StocksAndFisheriesKB - Task #24611

Create the new GRSF Publisher service
Feb 16, 2023 12:33 PM - Luca Frosini

Status: In Progress Start date: Oct 27, 2022

Priority: Normal Due date:

Assignee: Luca Frosini % Done: 42%

Category: Estimated time: 0.00 hour

Target version: GRSF

Description

Subtasks:

Feature # 24034: Assessment methods of GRSF records do not appear under Resources section Paused

Feature # 24604: Fix 'Database Source' field New

Task # 24606: Add FAO Areas code as tag to records New
Feature # 24607: Add support to create tag for FAO Areas code New
Feature # 24608: Add Areas code in the JSON to allow GRSF Publisher to create tags In Progress

Task # 24612: Expose 'Traceability Unit' REST APIs Closed

Task # 24833: Please check if 'exploiting_fishery' property is stil produced by KB Closed

Task # 25008: Requested fields changes Paused
Task # 24816: Change the content of 'refers_to' Paused
Task # 24817: Change the content of 'database_sources' Paused
Task # 25009: Transforms 'assessment_methods' in Timeseries Paused
Task # 25010: Transforms 'scientific_advice' in Timeseries Paused
Task # 25011: Add 'source' in the in the JSON Paused

Related issues:

Blocks StocksAndFisherieskB - Task #24609: Support new Record Type 'Traceabil... New Oct 27, 2022

History

#1 - Feb 16, 2023 12:35 PM - Luca Frosini

The service will use gcat

#2 - Mar 15, 2023 04:53 PM - Luca Frosini
- Status changed from New to In Progress
I'm investigating the feasibility.

The actual analysis is the following:

e |'ll improve gcat to support more options for automatic tagging and grouping;

¢ |'ll create a new GRSF service which in turn uses gcat;

e The new service will use configurations to map the field received from the KB to the format expected by gcat/CKAN. This will allow making
changes easily and, in most cases, without the need to modify the code for the service. | want to highlight that even though it will be easy to
change the configuration, the backend (i.e. CKAN) does not support it, so everything must be republished.

Hopefully, the KB does not have to change anything apart from some minor changes in the URLs
For example, the current URL for a FIRMS Fishery Record is /grsf-publisher-ws/firms/fishery and will be /grsf-publisher/fishery/firms.

In other words:

¢ the service base name will change from /grsf-publisher-ws/ to /grsf-publisher/
e the source will be after the main type eg. from /firms/fishery to /fishery/firms

@marketak@ics.forth.gr is it for you easy to change the URLs in the way | have proposed especially for source/type swap?

#3 - Mar 16, 2023 10:03 AM - Yannis Marketakis

Sure, | can change them easily.
Just one question: Is this about the new development on supporting publishing traceability units or you are about to change the publisher for stock
and fishery records as well?

#4 - Mar 16, 2023 02:31 PM - Luca Frosini
Yannis Marketakis wrote in #note-3:
Sure, | can change them easily.

Just one question: Is this about the new development on supporting publishing traceability units or you are about to change the publisher for
stock and fishery records as well?

The first step will be supporting "Traceability Units" via this new service.
Then, I'll migrate Stock and Fishery.

#5 - Apr 26, 2023 10:35 AM - Luca Frosini
- Parent task deleted (#24609)

#6 - Apr 26, 2023 10:36 AM - Luca Frosini
- Blocks Task #24609: Support new Record Type 'Traceability Unit' added
